distupgrade fails in saucy because whoopsie-preferences _0.8_amd64.deb is trying to overwrite '/usr/bin/whoopsie-preferences', which is also in package activity-log-manager-control-center 0.9.4-0ubuntu6.1

Bug #1205394 reported by Chris Gagnon on 2013-07-26
74
This bug affects 17 people
Affects Status Importance Assigned to Milestone
whoopsie-preferences (Ubuntu)
High
Evan

Bug Description

Description:
distupgrade fails in saucy because whoopsie-preferences _0.8_amd64.deb is trying to overwrite '/usr/bin/whoopsie-preferences', which is also in package activity-log-manager-control-center 0.9.4-0ubuntu6.1

Steps:
1. install iso from 6/27
2. do apt-get dist-upgrade

expected results:
dist-upgrade passes

actual results:
dist-upgrade fails

logs:
...
Selecting previously unselected package whoopsie-preferences.
Unpacking whoopsie-preferences (from .../whoopsie-preferences_0.8_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/whoopsie-preferences_0.8_amd64.deb (--unpack):
 trying to overwrite '/usr/bin/whoopsie-preferences', which is also in package activity-log-manager-control-center 0.9.4-0ubuntu6.1
Preparing to replace activity-log-manager-control-center 0.9.4-0ubuntu6.1 (using .../activity-log-manager-control-center_0.9.7-0ubuntu4_all.deb) ...
Unpacking replacement activity-log-manager-control-center ...
Processing triggers for ureadahead ...
Processing triggers for man-db ...
debconf: unable to initialize frontend: Dialog
debconf: (Dialog frontend will not work on a dumb terminal, an emacs shell buffer, or without a controlling terminal.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (This frontend requires a controlling tty.)
debconf: falling back to frontend: Teletype
Processing triggers for doc-base ...
Processing 1 changed doc-base file...
Processing triggers for gconf2 ...
Processing triggers for gnome-menus ...
Processing triggers for desktop-file-utils ...
Processing triggers for mime-support ...
Errors were encountered while processing:
 /var/cache/apt/archives/whoopsie-preferences_0.8_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Evan (ev) on 2013-07-26
Changed in whoopsie-preferences (Ubuntu):
assignee: nobody → Evan Dandrea (ev)
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in whoopsie-preferences (Ubuntu):
status: New → Confirmed
Jeremy Bicha (jbicha) on 2013-07-31
tags: added: package-conflict saucy
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers